
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

class GallerySwing extends JFrame implements ActionListener, WindowListener, ItemListener {
  private JTextField inputField;
  private JButton button1, button2;
  private JCheckBox check1;
  private JRadioButton radio1, radio2, radio3;
  private ButtonGroup group;
  GallerySwing() {
    addWindowListener(this);
    GridBagLayout gridbag = new GridBagLayout();
    getContentPane().setLayout(gridbag);

    GridBagConstraints c = new GridBagConstraints();
    c.insets = new Insets(5,5,5,5);

    inputField = new JTextField();
    c.gridx = 0; c.gridy = 0;
    c.gridwidth  = 2; c.gridheight = 1;
    c.fill = GridBagConstraints.BOTH;
    c.weighty = c.weightx = 1.0;
    gridbag.setConstraints(inputField, c);
    getContentPane().add(inputField);

    c.gridx = 0;  c.gridy = 1;
    c.gridwidth = c.gridheight = 1;
    button1 = new JButton("button1");
    button1.addActionListener(this);
    gridbag.setConstraints(button1, c);
    getContentPane().add(button1);

    c.gridx = 0;  c.gridy = 2;
    button2 = new JButton("button2");
    button2.addActionListener(this);
    gridbag.setConstraints(button2, c);
    getContentPane().add(button2);

    c.gridx = 1;  c.gridy = 4;
    check1 = new JCheckBox("checkbutton1");
    check1.addItemListener(this);
    gridbag.setConstraints(check1, c);
    getContentPane().add(check1);

    group = new ButtonGroup();
    radio1 = new JRadioButton(" radiobutton1", true);
    radio1.addItemListener(this);
    group.add(radio1);
    radio2 = new JRadioButton(" radiobutton2", false);
    radio2.addItemListener(this);
    group.add(radio2);
    radio3 = new JRadioButton(" radiobutton3", false);
    radio3.addItemListener(this);
    group.add(radio3);

    c.gridx = 1;  c.gridy = 1;
    gridbag.setConstraints(radio1, c);
    getContentPane().add(radio1);
    c.gridx = 1;  c.gridy = 2;
    gridbag.setConstraints(radio2, c);
    getContentPane().add(radio2);
    c.gridx = 1;  c.gridy = 3;
    gridbag.setConstraints(radio3, c);
    getContentPane().add(radio3);

    pack();
    setTitle("window1");

    Rectangle bounds = getGraphicsConfiguration().getBounds();
    setLocation(bounds.x+(bounds.width-getWidth())/2,bounds.y+(bounds.height-getHeight())/2);
	
    setVisible(true);
  }
  public void close() {
    System.exit(0);
  }
  public void actionPerformed(ActionEvent e) {
    if (e.getActionCommand().equals("button1")) {
      inputField.setText("button 1");
    }
    else if (e.getActionCommand().equals("button2")) {
      inputField.setText("button 2");
    }
  }
  public void itemStateChanged(ItemEvent e) {
    if (e.getSource()==check1) {
      if (e.getStateChange()==ItemEvent.SELECTED) inputField.setText("checkbutton:on");
      else inputField.setText("checkbutton:off");
    }
    else if (e.getSource()==radio1) inputField.setText("radio:1");
    else if (e.getSource()==radio2) inputField.setText("radio:2");
    else if (e.getSource()==radio3) inputField.setText("radio:3");
  }
  public void windowClosing(WindowEvent e) { close(); }
  public void windowOpened(WindowEvent e) { }
  public void windowClosed(WindowEvent e) { }
  public void windowIconified(WindowEvent e) { }
  public void windowDeiconified(WindowEvent e) { }
  public void windowActivated(WindowEvent e) { }
  public void windowDeactivated(WindowEvent e) { }
  public static void main(String args[]) { new GallerySwing(); }
}
